# mbindex - Nodelist Index Compiler.

###

SYNOPSIS

mbindex <options>

###

DESCRIPTION

mbindex is the nodelist index compiler. It will create an index file containing the sorted fidonet addresses as index file to the raw nodelists in the defined nodelist directory. Several other programs use this index file for fast retreival of data from the nodelists. Compiling new nodelist indexes can always be done, while compiling the result is stored in temporary index files and only after successfull compilation the original indexes are renamed and the temporary files get the normal names. The renamed (old) indexes stay on disk including the previous version of the old raw nodelist. They stay there in case some program had the nodelist or index still open. So in the nodelist directory there are current nodelists, previous nodelists, current indexes and previous indexes, and during compiling the temporary indexes. There is no need to manually remove (and not wise to do so) files from the nodelist directory.

The nodelists in the nodelist directory are the normal uncompressed nodelists in MS-DOS format (with CR/LF). The filename extensions must be two or 3 digits. So if you have a private pointlist named bestbbs.pts you will have to rename that to bestbbs.999 to make it work.

###

ENVIRONMENT

In order to run mbindex you must set the global variable $MBSE_ROOT. This variable must point to the root directory of the bbs structure. The main configuration file config.data must be present in the ~/etc directory.

###

COMMANDS

There are no commands.

###

OPTIONS

mbindex -quiet - Quiet mode, no screen output. Use the switch if you run mbindex from a shellscript or from the crontab.

###

BUGS

If you find any bugs, mispelled documentation etc, please contact the author: Michiel Broek at 2:2801/16@Fidonet or Michiel_Broek@f16.n2801.z2.fidonet.org

Back to index Back to Main index